import type { ChatInputMode, ChatInputStatus } from "../types/chatInput";
export declare const chatInputModeAtom: import("jotai").PrimitiveAtom<ChatInputMode> & {
    init: ChatInputMode;
};
export declare const chatInputStatusAtom: import("jotai").PrimitiveAtom<ChatInputStatus> & {
    init: ChatInputStatus;
};
export declare const chatInputTextAtom: import("jotai").PrimitiveAtom<string> & {
    init: string;
};
export declare const chatInputTranscriptAtom: import("jotai").PrimitiveAtom<string> & {
    init: string;
};
export declare const chatInputErrorAtom: import("jotai").PrimitiveAtom<string | null> & {
    init: string | null;
};
